%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	A Pascal to C translator
Name:		p2c
Version:	1.22
Release:	22
License:	GPLv2+
Group:		Development/Tools
Source0:	ftp://csvax.cs.caltech.edu/pub/p2c-1.22.tar.bz2
Url:		http://www.synaptics.com/people/daveg/
Patch2:		p2c-newpatch.patch
# Fixes conflicting types for 'my_memcpy' build error: thanks Anssi
Patch3:		p2c-1.22-memcpy.patch
Patch4:		p2c-1.22-getline.patch

%description
P2c is a system for translating Pascal programs into the C language.
P2c accepts input source files in certain Pascal dialects:  HP
Pascal, Turbo/UCSD Pascal, DEC VAX Pascal, Oregon Software Pascal/2,
Macintosh Programmer's Workshop Pascal and Sun/Berkeley Pascal.  P2c
outputs a set of .c and .h files which make up a C program equivalent
to the original Pascal program.  The C program can then be compiled
using a standard C compiler, such as gcc.

Install the p2c package if you need a program for translating Pascal
code into C code.

%files
%{_bindir}/*
%{_prefix}/lib/p2c
%{_mandir}/man1/p2c.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 1.22-22

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libp2c.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files for p2c Pascal to C translator development
Group:		Development/Other
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 1.22-22
Obsoletes:	%{name}-devel < 1.22-22

%description -n %{devname}
The p2c-devel package contains the files necessary for development
of the p2c Pascal to C translation system.

%files -n %{devname}
%{_libdir}/libp2c.a
%{_includedir}/p2c

#----------------------------------------------------------------------------

%prep
%setup -q
%patch2 -p1 -b .new
%patch3 -p1 -b .memcpy
%patch4 -p0 -b .getline
mkdir src/shlib
mkdir include
ln -s ../src include/p2c

%build
cp src/sys.p2crc src/p2crc
make RPM_OPTS="%{optflags} -fPIC"
make RPM_OPTS="%{optflags} -fPIC" shlib -C src

%install
mkdir -p %{buildroot}{%{_mandir}/man1,%{_prefix}/lib,%{_libdir},%{_includedir}}

make install \
	RPM_INSTALL=%{buildroot} \
	LIBDIR=%{buildroot}%{_libdir} \
	MANDIR=%{buildroot}%{_mandir}/man1


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.22-22
- (7e2c1ea) Move library into individual package according to library packaging policy
- (7e2c1ea) Rename devel package
- (7e2c1ea) Spec cleanup


